<?php
defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

require_once( PHPWG_THEMES_PATH . 'greydragon/include/greydragon.class.php');

class greydragon_maintain extends PluginMaintain {

  private $dir;
  private $themeCore;

  function __construct($plugin_id) {
    parent::__construct($plugin_id); // always call parent constructor

    $this->themeCore = greyDragonCore::Instance(GDTHEME_VERSION);
    $this->dir = PHPWG_ROOT_PATH . PWG_LOCAL_DIR . 'greydragon/';
  }

  /**
   * Plugin installation
   */
  function install($plugin_version, &$errors=array()) {
    $this->themeCore->prepareCustomCSS();
  }

  /**
   * Plugin (auto)update
   */
  function update($old_version, $new_version, &$errors=array()) {
    $this->install($new_version, $errors);
  }

  /**
   * Plugin uninstallation
   */
  function uninstall() {
    // delete configuration
    conf_delete_param('greydragon');

    $this->themeCore->deleteCustomCSS();
  }
}